%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kaa-base
Version:        0.6.0
Release:        12%{?dist}
Summary:        The Kaa Media - base package for python

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-base-%{version}.tar.gz
Patch0:         kaa-base-0.6.0-py26.patch
Patch1:         kaa-base-0.6.0-backport_py26.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

  
BuildRequires:  python-devel
BuildRequires:  glib2-devel >= 2.6.0
Requires: libxml2-python >= 2.6.0
#Optional
#Requires: python-lirc

%description
kaa.base is an LGPL-licensed generic application framework, providing the
foundation for other modules within Kaa, and can be used in any type of project,
from small event-driven tools, to larger, complex applications.



%prep
%setup -q -n kaa-base-%{version}
%patch0 -p1 -b .py26
%patch1 -p1 -b .bp26


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

#Fix encoding
cp -pr AUTHORS AUTHORS.not-utf8
iconv -f ISO_8859-1 -t UTF8 AUTHORS.not-utf8 > AUTHORS
touch -r AUTHORS.not-utf8 AUTHORS
rm AUTHORS.not-utf8

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Fix perms
find $RPM_BUILD_ROOT -name "*.py" |xargs chmod 0644

# Removed unneeded shebang
for i in dispatch.py version.py nf_gtk.py nf_generic.py nf_twisted.py log.py __init__.py ;do
sed -i -e 's|#!/usr/bin/env python|#|' $RPM_BUILD_ROOT%{python_sitearch}/kaa/pynotifier/${i}
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{python_sitearch}/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 30 2009 kwizart < kwizart at gmail.com > - 0.6.0-2
- Update to 0.6.0
- Remove Requires python-lirc (optional)
- Deprecate python-sqlite2 over sqlite3 bundled in python
- Backport switch to hashlib

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.0-2
- Rebuild for Python 2.6

* Tue Mar 25 2008 kwizart < kwizart at gmail.com > - 0.4.0-1
- Update to 0.4.0

* Wed Feb 13 2008 kwizart < kwizart at gmail.com > - 0.3.0-1
- Update to 0.3.0

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.2.0-2
- Rebuild for gcc43

* Wed Dec 26 2007 kwizart < kwizart at gmail.com > - 0.2.0-1
- Update to 0.2.0

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 0.1.3-4
- Rebuild for BuildID
- Update the License field

* Sat Apr 21 2007 kwizart < kwizart at gmail.com > - 0.1.3-3
- Fix Requires for python-packages

* Fri Apr 20 2007 kwizart < kwizart at gmail.com > 0.1.3-2
- Add missing BR glib2-devel

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > 0.1.3-1
- Update to 0.1.3

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > 0.1.2-1
- Clean spec file for Fedora guidelines

* Mon Jan 1 2007 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file

